<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('alumnis', function (Blueprint $table) {
            $table->id();
            $table->string('id_alumni')->unique(); // Tambahkan ID Bisnis
            $table->string('nama_alumni');
            $table->string('perguruan_tinggi');
            $table->string('jurusan_diambil');
            $table->text('profil_nilai')->nullable();
            $table->text('profil_minat')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('alumnis');
    }
};